# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-wokkel
%global libname wokkel
Name:           python-module-wokkel
Version:        0.7.0
Release:        alt1_2
Summary:        Enhancements to the Twisted XMPP protocol implementation

Group:          Development/Python
License:        MIT
URL:            http://wokkel.ik.nu
Source0:        http://wokkel.ik.nu/releases/%{version}/%{libname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-module-setuptools python-module-twisted-words python-module-twisted-names
Requires:       python-module-twisted-words python-module-twisted-names
Source44: import.info

%description
Wokkel is collection of enhancements on top of the Twisted networking
framework, written in Python. It mostly provides a testing ground
for enhancements to the Jabber/XMPP protocol implementation as found
in Twisted Words, that are meant to eventually move there.

Currently, Wokkel provides the following enhancements
on top of Twisted Words:

* A mechanism for easier implementation of XMPP Enhancement Protocols (XEPs)
  as so-called subprotocols.
* XMPP Client and server-side component support, that eases development
  and supports subprotocols.
* Subprotocol implementations for:
  o Generic presence, roster and message handling.
  o Service Discovery (XEP-0030), service side.
  o Publish-Subscribe (XEP-0060), client and service side.
  o Software Version (XEP-0092), service side. 
* Data format implementations for:
  o Data Forms (XEP-0004)
  o User Tune (XEP-0118)
  o User Mood (XEP-0107) 


%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE NEWS README doc/examples
%{python_sitelibdir_noarch}/%{libname}
%{python_sitelibdir_noarch}/%{libname}-%{version}-py*.egg-info
%{python_sitelibdir_noarch}/twisted/plugins/server.py*

%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_2
- initial fc import

